import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, a = Object.getOwnPropertyDescriptor, c = (h, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? a(t, s) : t, o = h.length - 1, p; o >= 0; o--)
    (p = h[o]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && f(t, s, e), e;
};
let i = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--gridView", this.class = "c-pieIcon c-pieIcon--gridView", this.name = "IconGridView";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--gridView"><path d="M6.906 6.906H2.094V2.094h4.812v4.812Zm-3.5-1.312h2.188V3.406H3.406v2.188Zm10.5 1.312H9.094V2.094h4.812v4.812Zm-3.5-1.312h2.188V3.406h-2.188v2.188Zm-3.5 8.312H2.094V9.094h4.812v4.812Zm-3.5-1.312h2.188v-2.188H3.406v2.188Zm10.5 1.312H9.094V9.094h4.812v4.812Zm-3.5-1.312h2.188v-2.188h-2.188v2.188Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = c([
  m("icon-grid-view")
], i);
export {
  i as IconGridView
};
